# OgreRoot.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreSingleton.h"`
`#include "OgreString.h"`
`#include "OgreSceneManagerEnumerator.h"`
`#include "OgreResourceGroupManager.h"`
`#include "OgreLodStrategyManager.h"`
`#include "OgreWorkQueue.h"`
`#include <exception>`

Go to the source code of this file.

## Classes

class | Ogre::Root
| The root class of the Ogre system. More...

## Namespaces

namespace | Ogre

## Typedefs

typedef vector< RenderSystem * > ::type | Ogre::RenderSystemList

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:24:52